=== debian/changelog ===
guake (3.6.3-2) unstable; urgency=medium

  * debian/control
    + Add gir1.2-wnck-3.0 in Depends. (Closes: #935452)

 -- Daniel Echeverry <epsilon@debian.org>  Thu, 22 Aug 2019 22:13:41 -0500

guake (3.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change my email address.
    + Update DH to 12 in B-D.
    + Bump Standards-Version 4.4.0.
    + Add python3-pytest in B-D.
  * debian/patches
    + Refresh 02_fix_data_dir_path.diff patch.
  * Update guake.install file.
  * Add guake.dirs file.
  * Update postinst.sh script.
  * Remove postrm.sh script.
  * debian/rules
    + Ignore some tests because fails in chroots environments.
    + Install schema file in right place.
  * debian/compat
    + Switch compat level 11 to 12.
  * debian/copyright
    + Add new entry guake.appdata.xml file.
    + Extend copyright holder years.
    + Remove pytest cache directory.

 -- Daniel Echeverry <epsilon@debian.org>  Tue, 20 Aug 2019 19:53:53 -0500
