## guake 3.8.5

=== debian/changelog ===
guake (3.8.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add python3-setuptools-scm, python3-sphinx, python3-reno,
      python3-sphinxcontrib.programoutput, libglib2.0-dev,
      desktop-file-utils in B-D.
    + Add  ${sphinxdoc:Depends} in Depends.
  * Remove guake.install file.
  * Update guake.links file.
  * debian/guake.manpages
    + Install the manpage generated.
    + Remove debian/guake.1 manpage.
      + Now the manpage is generated with sphinxdocs. (Closes: #1003263)
  * debian/rules
    + Now we don't use pybuild anymore.
    + Use sphinxdoc to generate the doc.
    + Remove generated doc in dh_auto_clean.
  * debian/patches
    + Remove 01_dont_install_mo_files.diff patch.
      + the upstream rewrite the code.
    + Add 04_fix_manpage_name.diff patch.
    + Add Forwarded field to all patches.
  * Add autopkgtests running the upstream tests.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 23 Feb 2022 18:29:17 -0500

guake (3.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Add 03_dont_try_compile_schemas.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 07 Nov 2021 10:36:44 -0500

guake (3.8.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #958155, #913220, #944046)
  * debian/control
    + Add python3-gi-cairo in Depends. (Closes: #945430)
    + Add default-dbus-session-bus|dbus-session-bus in Deps. (Closes: #965324)
    + Bump standard versions 4.6.0.
    + Use debhelper-compat instead of debian/compat.
    + Mark Rules-Requires-Root: no as we don't need root for building.
    + Update my last name.
  * debian/patches
    + Refresh all patches.
  * Update d/watch file.
  * Update d/copyright file.
  * Update d/rules file.
  * Add Bugs-* fields in Metadata file.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 23 Oct 2021 18:53:10 -0500
