=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Daniel Echeverri <epsilon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       python3-setuptools,
	       python3-pbr,
	       python3-mock,
	       python3-pytest,
	       python3-pip,
	       python3-setuptools-scm,
	       python3-sphinx,
	       python3-reno,
	       python3-sphinxcontrib.programoutput,
	       libglib2.0-dev,
	       desktop-file-utils
Standards-Version: 4.6.0
Homepage: http://guake-project.org
Vcs-Git: https://salsa.debian.org/debian/guake.git
Vcs-Browser: https://salsa.debian.org/debian/guake
Rules-Requires-Root: no

Package: guake
Architecture: all
Depends: python3-pbr,
	 python3-cairo,
	 python3-gi-cairo,
	 python3-gi (>= 3.26.1),
	 python3-dbus (>= 1.2.4),
	 gir1.2-notify-0.7 (>= 0.7.7),
	 gir1.2-vte-2.91 (>= 0.50.2),
	 gir1.2-gtk-3.0 (>= 3.22.26),
	 gir1.2-keybinder-3.0 (>= 0.3.2),
	 gir1.2-glib-2.0 (>= 1.54.1),
	 gir1.2-pango-1.0 (>= 1.40.14),
	 gir1.2-wnck-3.0,
	 default-dbus-session-bus | dbus-session-bus,
	 libglib2.0-bin,
	 libutempter0,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
	 ${sphinxdoc:Depends}
Suggests: numix-gtk-theme
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.
