=== debian/rules ===
#!/usr/bin/make -ef
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/guake/
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	find . -type d -name '*.egg-info' | xargs rm -rf
	rm -rf .pytest_cache
	rm -f guake/data/gschemas.compiled
	rm -rf guake/paths.py guake/_version.py docs/_build
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_sphinxdoc:
	cd  docs/  && make man

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

override_dh_auto_test:
	export PIPENV_IGNORE_VIRTUALENVS=0 dh_auto_test
