=== debian/tests/control ===
Tests: pytest
Depends:
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-pbr,
 python3-mock,
 python3-pip,
 python3-setuptools-scm,
 python3-sphinx,
 python3-reno,
 python3-sphinxcontrib.programoutput,
 python3-pytest-mock,
 python3-pyfakefs
Restrictions: allow-stderr
