=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%guake-$1.tar.gz%" \
 https://github.com/Guake/guake/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
