=== debian/changelog ===
guake (3.9.0-2) unstable; urgency=medium

  * debian/patches
    + Add 05_set_scripts_path.diff
      + Fix FTBFS with more recent python3-setuptools.
        Set install script path in setup.cfg to install
        scripts into /usr/bin/ (Closes: #1022346)
  * debian/copyright
    + Extend debian copyright holder years.
  * Update watch file.
  * debian/tests/control
    + Use python3 instead python3-all in Depends.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 29 Oct 2022 19:02:50 -0500

guake (3.9.0-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * Slightly yak shave debian/rules.
  * Update dependencies: python3-pbr to -setuptools-scm
  * New upstream release.
  * Fix link (closes: #1006680)
  * Bump policy.

  [ Daniel Echeverri ]
  * Remove one python3-setuptools-scm from B-D
  * Add python3-yaml in Depends

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 18 Jun 2022 10:47:14 -0500
