=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
                dh-python,
                python3-all,
 	       python3-setuptools,
-	       python3-pbr,
+	       python3-setuptools-scm,
 	       python3-mock,
 	       python3-pytest,
 	       python3-pip,
-	       python3-setuptools-scm,
-	       python3-sphinx,
+               python3-sphinx,
 	       python3-reno,
 	       python3-sphinxcontrib.programoutput,
 	       libglib2.0-dev,
 	       desktop-file-utils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://guake-project.org
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake
@@ -24,8 +23,9 @@
 
 Package: guake
 Architecture: all
-Depends: python3-pbr,
+Depends: python3-setuptools-scm,
 	 python3-cairo,
+         python3-yaml,
 	 python3-gi-cairo,
 	 python3-gi (>= 3.26.1),
 	 python3-dbus (>= 1.2.4),
