=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,15 @@
 %:
 	dh $@ --with python3,sphinxdoc
 
-override_dh_auto_clean:
-	find . -type d -name '*.egg-info' | xargs rm -rf
+execute_before_dh_auto_clean:
+	find . -type d -name '*.egg-info' -exec rm -rf '{}' '+'
 	rm -rf .pytest_cache
 	rm -f guake/data/gschemas.compiled
 	rm -rf guake/paths.py guake/_version.py docs/_build
 	find po -name "*.mo" -delete
-	dh_auto_clean
 
 override_dh_sphinxdoc:
-	cd  docs/  && make man
+	$(MAKE) -C docs man
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
