=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: pytest
 Depends:
- python3-all,
+ python3,
  python3-pytest,
  python3-setuptools,
  python3-pbr,
