=== debian/changelog ===
guake (3.10-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove extranous dep. on old python3-mock

  [ Daniel Echeverri ]
  * Disable creation of glib-2.0 gschemas.compiled (Closes: #1059917)

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 28 Jan 2024 21:36:10 -0500

guake (3.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entry 0.3.1-1.

  [ William Desportes ]
  * Fix d/watch downloading URL.
  * Fix patch date.
  * Refresh patches for the next version.

  [ Daniel Echeverri ]
  * Update changelog file.
  * New upstream version 3.10.
  * Extend debian copyright holder years.
  * Bump standard versions 4.6.2.
  * debian/patches
    + Refresh 05_set_scripts_path.diff patch.
    + Change forwarded field in 04_fix_manpage_name.diff patch.
    + Add 06_dont_use_pip_to_build.diff patch.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 21 Jun 2023 22:00:21 -0500
