=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                python3-all,
 	       python3-setuptools,
 	       python3-setuptools-scm,
-	       python3-mock,
 	       python3-pytest,
 	       python3-pip,
                python3-sphinx,
@@ -15,7 +14,7 @@
 	       python3-sphinxcontrib.programoutput,
 	       libglib2.0-dev,
 	       desktop-file-utils
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://guake-project.org
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake
