=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export PREFIX=/usr
 export DESTDIR=$(CURDIR)/debian/guake/
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
+export COMPILE_SCHEMAS=0
 
 %:
 	dh $@ --with python3,sphinxdoc
