=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  python3-pytest,
  python3-setuptools,
  python3-pbr,
- python3-mock,
  python3-pip,
  python3-setuptools-scm,
  python3-sphinx,
