=== debian/watch ===
version=4
opts="\
    compression=xz, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/guake/@PACKAGE@/tags .*/@ANY_VERSION@\.tar\.gz
