=== requirements.txt ===
-i https://pypi.python.org/simple
cython==3.0.11; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pbr==6.1.0; python_version >= '2.6'
pyyaml==6.0.2; python_version >= '3.8'
typing==3.7.4.3; python_version < '3.5'
wheel==0.45.1; python_version >= '3.8'
