=== debian/changelog ===
guake (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump standard versions 4.7.2
    + Change homepage field to Github.
    + Remove Rules-Requires-Root field.
    + Remove python3-setuptools-scm  from Depends. (Closes: #1100953)
  * debian/copyright
    + Change source field to Github.
    + Extend debian copyright holder years.
    + Update FSF address (lintian warning fix).
  * debian/patches
    + Refresh 02_fix_data_dir_path.diff patch.
    + Refresh 03_dont_try_compile_schemas.diff patch.
    + Refresh 04_fix_manpage_name.diff patch.
    + Add 07_fix-appstream-metadata.diff.
      + Fix AppStream metadata validation issues.
  * debian/watch
    + Use version 5 format.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 25 Oct 2025 19:18:09 -0500
