=== debian/control ===
--- 
+++ 
@@ -14,16 +14,14 @@
 	       python3-sphinxcontrib.programoutput,
 	       libglib2.0-dev,
 	       desktop-file-utils
-Standards-Version: 4.6.2
-Homepage: http://guake-project.org
+Standards-Version: 4.7.2
+Homepage: https://github.com/Guake/guake
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake
-Rules-Requires-Root: no
 
 Package: guake
 Architecture: all
-Depends: python3-setuptools-scm,
-	 python3-cairo,
+Depends: python3-cairo,
          python3-yaml,
 	 python3-gi-cairo,
 	 python3-gi (>= 3.26.1),
