=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PREFIX=/usr
 export DESTDIR=$(CURDIR)/debian/guake/
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
-export COMPILE_SCHEMAS=0
+export COMPILE_SCHEMA=0
 
 %:
 	dh $@ --with python3,sphinxdoc
@@ -22,5 +22,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
 
+override_dh_install:
+	dh_install
+	mv $(CURDIR)/debian/guake//usr/share/metainfo/guake.desktop.metainfo.xml \
+           $(CURDIR)/debian/guake//usr/share/metainfo/org.guake.desktop.metainfo.xml
+
 override_dh_auto_test:
 	export PIPENV_IGNORE_VIRTUALENVS=0 dh_auto_test
