=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Owner: guake
Project: @PACKAGE@
